UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMWildcardReceiverAttributes Class Reference

Encapsulates the set of default LBM wildcard receiver attributes. More...

Inheritance diagram for com.latencybusters.lbm.LBMWildcardReceiverAttributes:

## Public Member Functions
unsafe | LBMWildcardReceiverAttributes ()
| Instantiate LBMWildcardReceiverAttributes class. More...
unsafe | LBMWildcardReceiverAttributes (string contextName, string pattern, int patternType)
| Instantiate an LBMWildcardReceiverAttributes class using a context name, pattern, and pattern type from the xml configuration that must have been previously loaded. More...
void | Dispose ()
| Free memory associated with this set of attributes.
void | dispose ()
| Free memory associated with this set of attributes (same as Dispose()). More...
unsafe void | setFromXml (string contextName, string pattern, int patternType)
| Set values in an LBMWildcardReceiverAttributes class using a context name, pattern, and pattern type from the xml configuration that must have been previously loaded. More...
unsafe List< LBMConfigOption > | dumpAttributeList ()
| Dump source configuration options. More...
unsafe string | getValue (string attributeName)
| Returns the current value of an attribute from this set of wildcard receiver-related attributes. More...
unsafe void | setValue (string attributeName, string attributeValue)
| Set the current value of an attribute in this set of wildcard receiver-related attributes. More...
void | setPatternCallback (LBMWildcardPatternCallback cb, Object cbArg)
| Set the callback interface (and a callback handle argument) to be called when a pattern match is desired for a topic discovered for a wildcard receiver if the pattern type is set to "appcb". More...
void | setReceiverCreateCallback (LBMWildcardReceiverCreateCallback cb, Object cbArg)
| Set the callback method (and a callback handle argument) to be called when a receiver is created for a topic discovered for a wildcard receiver. More...
void | setReceiverDeleteCallback (LBMWildcardReceiverDeleteCallback cb, Object cbArg)
| Set the callback method (and a callback handle argument) to be called when a receiver created by a wildcard receiver is deleted. More...

## Detailed Description

Encapsulates the set of default LBM wildcard receiver attributes.

## Constructor & Destructor Documentation

unsafe com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes | ( |  | ) |

Instantiate LBMWildcardReceiverAttributes class.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes | ( | string | contextName,
|  | string | pattern,
|  | int | patternType
| ) |  |

Instantiate an LBMWildcardReceiverAttributes class using a context name, pattern, and pattern type from the xml configuration that must have been previously loaded.

Parameters

  contextName | The context name under which this wildcard receiver is to be created.
  pattern | The pattern string which will be used to create the LBMWildcardReceiver.
  patternType | The pattern_type which will be used to create the LBMWildcardReceiver. The pattern_type is written into the attributes object.

Exceptions

  com.latencybusters.lbm.LBMException | The context name or pattern and pattern_type combination is not permitted by XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes (same as Dispose()).

See also
  Dispose

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe List<LBMConfigOption> com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList | ( |  | ) |

Dump source configuration options.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of LBMConfigOptions

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMConfigOption.OptionName, com.latencybusters.lbm.LBMConfigOption.Type, and com.latencybusters.lbm.LBMConfigOption.Value.

unsafe string com.latencybusters.lbm.LBMWildcardReceiverAttributes.getValue | ( | string | attributeName | ) |

Returns the current value of an attribute from this set of wildcard receiver-related attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setFromXml | ( | string | contextName,
|  | string | pattern,
|  | int | patternType
| ) |  |

Set values in an LBMWildcardReceiverAttributes class using a context name, pattern, and pattern type from the xml configuration that must have been previously loaded.

Parameters

  contextName | The context name under which this wildcard receiver is to be created.
  pattern | The pattern string which will be used to create the LBMWildcardReceiver.
  patternType | The pattern_type which will be used to create the LBMWildcardReceiver. The pattern_type is written into the attributes object.

Exceptions

  com.latencybusters.lbm.LBMException | The context name or pattern and pattern_type combination is not permitted by XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setPatternCallback | ( | LBMWildcardPatternCallback | cb,
|  | Object | cbArg
| ) |  |

Set the callback interface (and a callback handle argument) to be called when a pattern match is desired for a topic discovered for a wildcard receiver if the pattern type is set to "appcb".

Parameters

  cb | Callback implementing the LBMWildcardPatternCallback delegate interface
  cbArg | Callback object passed as a token to the callback interface

References com.latencybusters.lbm.LBMWildcardPatternCallback().

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setReceiverCreateCallback | ( | LBMWildcardReceiverCreateCallback | cb,
|  | Object | cbArg
| ) |  |

Set the callback method (and a callback handle argument) to be called when a receiver is created for a topic discovered for a wildcard receiver.

Parameters

  cb | Callback of type LBMWildcardReceiverCreateCallback
  cbArg | Callback object passed as a token to the callback

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setReceiverDeleteCallback | ( | LBMWildcardReceiverDeleteCallback | cb,
|  | Object | cbArg
| ) |  |

Set the callback method (and a callback handle argument) to be called when a receiver created by a wildcard receiver is deleted.

Parameters

  cb | Callback of type LBMWildcardReceiverDeleteCallback
  cbArg | Callback object passed as a token to the callback

References com.latencybusters.lbm.LBMWildcardReceiverCreateCallback(), and com.latencybusters.lbm.LBMWildcardReceiverDeleteCallback().

unsafe void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the current value of an attribute in this set of wildcard receiver-related attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

The documentation for this class was generated from the following file:

- LBMWildcardReceiverAttributes.cs